#include <iostream>
#include "product.h"

using namespace std;

Product::Product (const std::string& n)
{
      this->name = n;
}

void Product::print () const
{
      cout << "======================================" << endl
           << name << endl
           << "======================================" << endl
           << endl;
}

void Product::addSale (Sale* saling)
{
     sale.push_back(saling);
}
double Product::productIncome() const
{
     double income = 0;
     vector<Sale*>::const_iterator iter = sale.begin();
     for (; iter != sale.end(); iter++)
         income += (*iter)->getIncome();
     return income;
}