#ifndef __product_h
#define __product_h
#include <string>
#include <vector>
#include <iostream>
#include "sale.h"

class Product
{
      private:
              std::string           name;
              std::vector<Sale*>    sale;

      public:
             Product (const std::string& name);
           
             std::string getName () const {return name;}
             void print          () const;
             void addSale        (Sale* sale);
             int  getSaleNumber  () const {return sale.size();}
             Sale* getSale       (int i)  {return sale[i];}
             double productIncome() const;
};

#endif // __Product_h