#ifndef __sale_h
#define __sale_h
#include <string>

class Product;

class Sale
{
      private:
             const Product* product;
             std::string       data;
             int               howMuch;
             double            income;
      public:
             Sale(const Product*  product,
                     const std::string data,
                     int howMuch, double income);
             const Product* getProduct  () const {return product;}            
             std::string getData        () const {return data;}
             int getHowMuch             () const {return howMuch;}
             double getIncome           () const {return income;}
             void print                 () const;
};

#endif // __sale_h